<?php

/* ========================================================================
 * $Id: weixin.php 1549 2020-05-15 10:50:56Z onez $
 * 
 * Email: www@onez.cn
 * QQ: 6200103
 * HomePage: http://www.onez.cn
 * ========================================================================
 * Copyright 2016-2017 佳蓝科技.
 * 
 * ======================================================================== */

!defined('IN_ONEZ') && exit('Access Denied');
# index
$where=$G['this']->where();
#请求数据
if($MODE=='$post'){
  $action=onez()->gp('action');
  if($action=='data'){
    $action=onez()->gp('ac');
    if($action=='del'){
      $id=(int)onez()->gp('id');
      $G['this']->data()->open('weixins')->delete("id='$id'$where");
      return $this->ok('删除成功','reload');
    }
    $data=array();
    $data['title']='微信账号(公众号/小程序)';
    $data['btns'][]=array(
      'name'=>'新建账号',
      'href'=>'./edit.php',
      'args'=>'width=760&height=520&title=新建微信账号',
    );
    $datatable=$this->load('datatable');
    $datatable->set('edit',array(
      'event'=>array(
        'option'=>array(
          'title'=>'编辑微信账号',
          'width'=>760,
          'height'=>520,
        ),
      ),
    ));
    $datatable->set('del','1');
    $datatable->set('fields','id');
    $datatable->add('类型','type',array('options'=>$G['this']->weixinTypes()));
    $datatable->add('名称','name');
    $datatable->add('AppID','weixin_appid');
    $datatable->add('授权域名','domain');
    $datatable->add('备注','summary');
    $datatable->output($data,array(
      'table'=>'weixins',
      'where'=>"1$where order by id desc",
      'pagesize'=>20,
    ));
    $A['pagedata']=$data;
  }
  return;
}
$this->add(array(
  'type'=>'breadcrumb',
  'name'=>'面包屑导航',
  'data'=>'pagedata',
));
$this->add(array(
  'type'=>'datatable',
  'name'=>'数据列表',
  'data'=>'pagedata',
));

?>
